net.minecraft.util

## Class ObjectIntIdentityMap

- java.lang.Object
- - net.minecraft.util.ObjectIntIdentityMap

- All Implemented Interfaces:
    java.lang.Iterable, IObjectIntIterable

      public class ObjectIntIdentityMap
      extends java.lang.Object
      implements IObjectIntIterable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List` | `field_148748_b`
    `protected java.util.Map<java.lang.Object,java.lang.Integer>` | `field_148749_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectIntIdentityMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `func_148744_b(int p_148744_1_)`
    `java.lang.Object` | `func_148745_a(int p_148745_1_)`
    `void` | `func_148746_a(java.lang.Object p_148746_1_, int p_148746_2_)`
    `int` | `func_148747_b(java.lang.Object p_148747_1_)`
    `java.util.Iterator` | `iterator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_148749_a

          protected java.util.Map<java.lang.Object,java.lang.Integer> field_148749_a

    - #### field_148748_b

          protected java.util.List field_148748_b

  - ### Constructor Detail

    - #### ObjectIntIdentityMap

          public ObjectIntIdentityMap()

  - ### Method Detail

    - #### func_148746_a

          public void func_148746_a(java.lang.Object p_148746_1_,
                           int p_148746_2_)

    - #### func_148747_b

          public int func_148747_b(java.lang.Object p_148747_1_)

    - #### func_148745_a

          public java.lang.Object func_148745_a(int p_148745_1_)

    - #### iterator

          public java.util.Iterator iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable`

    - #### func_148744_b

          public boolean func_148744_b(int p_148744_1_)